<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.bonait.bnframework">

    <uses-sdk tools:overrideLibrary="com.aliyun.iot.breeze.biz,com.aliyun.iot.breeze.ota,     com.aliyun.iot.breeze.sdk,com.aliyun.iot.ble,com.aliyun.alink.linksdk.tmp" />
    <!-- 网络权限 -->
    <uses-permission android:name="android.permission.INTERNET" /> <!-- 网络连接 -->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" /> <!-- 获取网络连接状态 -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" /> <!-- 写存储的权限 -->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" /> <!-- 读存储的权限 -->
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" /> <!-- 0未知来源的应用权限，更新App -->
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" /> <!-- 在SDCard中创建与删除文件权限 -->
    <uses-permission android:name="android.permission.ACCESS_DOWNLOAD_MANAGER" /> <!-- DownloadManager -->
    <uses-permission android:name="android.permission.RECORD_AUDIO" /> <!-- 录音权限 -->
    <uses-permission android:name="android.permission.RECORD_VIDEO" /> <!-- 录像权限 -->
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />

    <application
        android:name=".MainApplication"
        android:allowBackup="true"
        android:hardwareAccelerated="false"
        android:icon="@mipmap/ico"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:networkSecurityConfig="@xml/network_security_config"
        android:roundIcon="@mipmap/ico"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        tools:ignore="GoogleAppIndexingWarning"
        tools:node="merge"
        tools:replace="android:icon">
        <activity
            android:name=".modules.home.fragment.from.Cpxz1Activity"
            android:exported="false" />
        <activity
            android:name=".modules.home.fragment.from.fragment.AutoTestMoreFragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.fragment.AutoTestOneFragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.AutoTestActivity"
            android:windowSoftInputMode="stateVisible|adjustPan|stateHidden"
            android:exported="false" />
        <activity
            android:name=".modules.home.fragment.from.fragment.WokSetTLZZ1Fragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.fragment.WokSetTLZZFragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.fragment.WokSetGKCXFragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.WokSetActivity"
            android:exported="false" />
        <activity
            android:name=".modules.home.fragment.from.DiyUpdate1Activity"
            android:exported="false" />
        <activity
            android:name=".modules.home.fragment.from.CookingSimulatedActivity"
            android:exported="false" />
        <activity
            android:name=".modules.home.fragment.from.DishTestActivity"
            android:exported="false" />
        <activity
            android:name=".modules.home.fragment.from.BunkerSetupActivity"
            android:exported="false" />
        <activity
            android:name=".modules.home.fragment.from.CookingActivity"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.Home4Fragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.activity.BottomNavigationNewActivity"
            android:exported="false" />
        <activity
            android:name=".modules.mine.fragment.UserActivity"
            android:exported="false" />
        <activity
            android:name=".modules.home.fragment.from.DiyMemoryActivity"
            android:exported="false" />
        <activity
            android:name=".modules.home.fragment.from.fragment.SystemCsPLCFragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.FileActivity"
            android:exported="false" />
        <activity
            android:name=".modules.home.fragment.from.ImageChooseActivity"
            android:exported="false" />
        <activity
            android:name=".modules.home.fragment.from.DiyUpdateActivity"
            android:exported="false" />
        <activity
            android:name=".modules.home.fragment.mode.fragment_gx"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.fragment.SystemCsFltlFragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.fragment.SystemCsMonitorFragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.fragment.SystemCsControlFragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.fragment.SystemSeasoningsetFragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.fragment.SystemSystemsetFragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.fragment.SystemDeviceinFragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.fragment.systeminternetfragment"
            android:exported="false"
            tools:ignore="Instantiatable" />
        <activity
            android:name=".modules.home.fragment.from.CpxzActivity"
            android:exported="false" />
        <activity
            android:name=".modules.home.fragment.from.SzActivity"
            android:exported="false" />
        <activity
            android:name=".modules.home.fragment.from.WhActivity"
            android:exported="false" />
        <activity
            android:name=".modules.home.fragment.from.CpActivity"
            android:exported="false" />
        <activity
            android:name=".modules.home.fragment.from.DiyActivity"
            android:exported="false" />
        <activity
            android:name=".modules.mine.fragment.from.NoticeActivity"
            android:exported="false" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.fileProvider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/app_provider_paths" />
        </provider>

        <activity
            android:name=".modules.welcome.activity.WelcomeActivity"
            android:exported="true"
            android:theme="@style/AppTheme.Launcher">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name=".modules.welcome.activity.LoginActivity">

            <!-- <intent-filter> -->
            <!-- <action android:name="com.bonait.bnframework.modules.welcome.activity.LoginActivity.ACTION_START" /> -->


            <!-- <category android:name="android.intent.category.DEFAULT" /> -->
            <!-- </intent-filter> -->
        </activity>
        <activity android:name=".test.TestActivity">

            <!--
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
            -->
        </activity>
        <activity android:name=".modules.home.activity.BottomNavigation2Activity" />

        <receiver
            android:name=".common.base.BootReceiver"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </receiver>
    </application>

</manifest>